%define __libver 2
%ifos darwin
%define __librel %{version}
%define __soext  dylib
%define __defattr %defattr(-,root,wheel)
%else
%define __librel %{version}
%define __soext  so
%endif

Summary: Old version of libpng, needed to run old binaries.
Name: libpng
Version: 1.0.13
Release: 5b
License: OSI certified
Group: System Environment/Libraries
Source: ftp://swrinde.nde.swri.edu/pub/png/src/libpng-%{version}.tar.bz2
Source2: tp://swrinde.nde.swri.edu/pub/png/src/libpng-1.0.13patch03-makefiles.tar.gz
Patch0: libpng-1.0.13-rhconf.patch
Patch1: libpng-1.0.9-badchunks.patch
Patch2: libpng-1.0.13-rhconf2.patch
Patch3: libpng-1.0.13-macosx.patch
Buildroot: %{_tmppath}/%{name}-%{version}-root
%ifnos darwin
BuildPrereq: zlib-devel
%endif
URL: http://www.libpng.org/pub/png/

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG
is a bit-mapped graphics format similar to the GIF format.  PNG was
created to replace the GIF format, since GIF uses a patented data
compression algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%package devel
Group: Development/Libraries
Summary: Development tools for version 1.0 of libpng
%ifnos darwin
Requires: libpng = %{version}, zlib-devel
%else
Requires: libpng = %{version}
%endif
Provides: libpng-devel = %{version}

%description devel
The libpng-devel package contains the header files and static
libraries necessary for developing programs using the PNG (Portable
Network Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install
the libpng package.


%prep
%setup -n libpng-%{version}
%ifos darwin
%patch3 -p1 -b .darwin
ln -s scripts/makefile.macosx Makefile
%else
## dump in the fixed makefiles (remove this with 1.0.14, presumably)
(cd scripts && tar zxf %{SOURCE2})
ln -s scripts/makefile.linux Makefile
%patch0 -p1 -b .rhconf
%endif
%patch1 -p1 -b .badchunk
%ifnos darwin
%patch2 -p1 -b .sopwith
%endif

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"  %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install install-static prefix=$RPM_BUILD_ROOT%{_prefix}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{3,5}
install -c -m 644 *.3 $RPM_BUILD_ROOT%{_mandir}/man3
install -c -m 644 *.5 $RPM_BUILD_ROOT%{_mandir}/man5

# I don't know what this is doing here.
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/libpng.so*

%ifnos darwin
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%endif

%files
%{__defattr}
%doc *.txt example.c README TODO CHANGES
%ifos darwin
%{_libdir}/libpng.*.%{__soext}
%else
%{_libdir}/libpng.%{__soext}.*
%endif
%{_mandir}/man5/*

%files devel
%{__defattr}
%{_includedir}/libpng
%{_libdir}/libpng.%{__soext}
%{_libdir}/libpng.a
%{_mandir}/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Oct 12 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1.0.13: release 1b built on MacOS X Release 10.2
- Now with a full path install_name

* Fri Oct 11 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1.0.13: release 1a built on MacOS X Release 10.2

* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1.0.9: 1st release built on MacOS X Release 10.1

* Tue Apr 24 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1.0.9: 1st release built on MacOS X Release 10.0.01

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.0.9, fixes Mozilla problems

* Tue Dec 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of 0777 dirs

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Remove the workaround for Bug #20018 (from Oct 30).
  Qt 2.2.2 fixes the problem the workaround addressed.

* Mon Oct 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Work around a problem causing konqueror to segfault in image preview
  mode (Bug #20018)
- Copy SuSE 7.0's patch to handle bad chunks

* Sun Sep  3 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- only include the man5 man-pages once in the main rpm

* Thu Jul 28 2000 Preston Brown <pbrown@redhat.com>
- upgrade to 1.0.8 - fixes small memory leak, other bugs

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- patchlevel c
- FHSify

* Tue Mar 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.6

* Mon Mar 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- change serial to Epoch to get dependencies working correctly

* Fri Feb 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- move buildroot and add URL

* Sat Feb  5 2000 Bernhard Rosenkrzer <bero@redhat.com>
- strip library
- rebuild to compress man pages

* Sun Nov 21 1999 Bernhard Rosenkrzer <bero@redhat.com>
- 1.0.5
- some tweaks to spec file to make updating easier
- handle RPM_OPT_FLAGS

* Mon Sep 20 1999 Matt Wilson <msw@redhat.com>
- changed requires in libpng-devel to include serial
- corrected typo

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Feb 07 1999 Michael Johnson <johnsonm@redhat.com>
- rev to 1.0.3

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for 6.0

* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- we are Serial: 1 now because we are reverting the 1.0.2 version from 5.2
  beta to this prior one
- install man pages; set defattr defaults

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel subpackage moved to Development/Libraries

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.0.1
- added buildroot

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- updated to new version
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc


